import { IonicModule } from '@ionic/angular';
import { RouterModule } from '@angular/router';
import { NgModule,CUSTOM_ELEMENTS_SCHEMA } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';

import { ShareModule } from '@share/share.module';
import { MdctrlModule } from '@widget/df/mob-mobmdctrl/mob-mobmdctrl.module';
import { RighttoolbarModule } from '@widget/df/mob-mdviewrighttoolbar-toolbar/mob-mdviewrighttoolbar-toolbar.module';
import {DFMobEditViewModule} from '@pages/demo/dfmob-edit-view/dfmob-edit-view.module';
import {DFMobMDViewPage} from './dfmob-mdview.page';


@NgModule({
  imports: [
    RouterModule.forChild([{ path: '', component: DFMobMDViewPage}])
  ],
  exports:[RouterModule]
})
export class DFMobMDViewRouteModule {}

@NgModule({
  imports: [
    IonicModule,
    CommonModule,
    FormsModule,
    ShareModule,
    DFMobMDViewRouteModule,
    MdctrlModule,RighttoolbarModule,
    DFMobEditViewModule,
  ],
  schemas: [CUSTOM_ELEMENTS_SCHEMA],
  declarations: [DFMobMDViewPage],
  entryComponents:[DFMobMDViewPage],
  exports:[DFMobMDViewPage]
})
export class DFMobMDViewModule {}
