import { IonicModule } from '@ionic/angular';
import { RouterModule } from '@angular/router';
import { NgModule,CUSTOM_ELEMENTS_SCHEMA } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';

import { ShareModule } from '@share/share.module';
import { EditFormModule } from '@widget/kq/main-form/main-form.module';
import { RighttoolbarModule } from '@widget/kq/mob-edit-viewrighttoolbar-toolbar/mob-edit-viewrighttoolbar-toolbar.module';
import {KQMobEditViewPage} from './kqmob-edit-view.page';


@NgModule({
  imports: [
    RouterModule.forChild([{ path: '', component: KQMobEditViewPage}])
  ],
  exports:[RouterModule]
})
export class KQMobEditViewRouteModule {}

@NgModule({
  imports: [
    IonicModule,
    CommonModule,
    FormsModule,
    ShareModule,
    KQMobEditViewRouteModule,
    EditFormModule,RighttoolbarModule,
  ],
  schemas: [CUSTOM_ELEMENTS_SCHEMA],
  declarations: [KQMobEditViewPage],
  entryComponents:[KQMobEditViewPage],
  exports:[KQMobEditViewPage]
})
export class KQMobEditViewModule {}

