import { IonicModule } from '@ionic/angular';
import { RouterModule } from '@angular/router';
import { NgModule,CUSTOM_ELEMENTS_SCHEMA } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';

import { ShareModule } from '@share/share.module';
import { MdctrlModule } from '@widget/wfwork-list/usr-mobmdctrl/usr-mobmdctrl.module';
import { RighttoolbarModule } from '@widget/wfwork-list/mob-mdviewrighttoolbar-toolbar/mob-mdviewrighttoolbar-toolbar.module';
import {WFWorkListMobMDViewPage} from './wfwork-list-mob-mdview.page';


@NgModule({
  imports: [
    RouterModule.forChild([{ path: '', component: WFWorkListMobMDViewPage}])
  ],
  exports:[RouterModule]
})
export class WFWorkListMobMDViewRouteModule {}

@NgModule({
  imports: [
    IonicModule,
    CommonModule,
    FormsModule,
    ShareModule,
    WFWorkListMobMDViewRouteModule,
    MdctrlModule,RighttoolbarModule,
  ],
  schemas: [CUSTOM_ELEMENTS_SCHEMA],
  declarations: [WFWorkListMobMDViewPage],
  entryComponents:[WFWorkListMobMDViewPage],
  exports:[WFWorkListMobMDViewPage]
})
export class WFWorkListMobMDViewModule {}
