import { IonicModule } from '@ionic/angular';
import { RouterModule } from '@angular/router';
import { NgModule,CUSTOM_ELEMENTS_SCHEMA } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';

import { ShareModule } from '@share/share.module';
import { DashboardModule } from '@widget/app/app-dashboard-view-db-dashboard/app-dashboard-view-db-dashboard.module';

import {AppDashboardViewPage} from './app-dashboard-view.page';

@NgModule({
  imports: [
    RouterModule.forChild([{ path: '', component: AppDashboardViewPage}]),
  ],
  exports:[RouterModule]
  })
export class AppDashboardViewRouteModule {}

@NgModule({
  imports: [
    IonicModule,
    CommonModule,
    FormsModule,
    ShareModule,
    AppDashboardViewRouteModule,
    DashboardModule,
  ],
  schemas: [CUSTOM_ELEMENTS_SCHEMA],
  declarations: [AppDashboardViewPage],
  entryComponents:[AppDashboardViewPage],
  exports:[AppDashboardViewPage]
})
export class AppDashboardViewModule {}
